package smsrpc

import (
	"git.tetele.net/tgo/conf"
)

func rpc_server_conn(url ...string) (*SmsServiceClient, error) {

	var rpc_url string
	if len(url) > 0 && url[0] != "" {
		rpc_url = url[0]
	} else if conf.SMS_RPC_URL != "" {
		rpc_url = conf.SMS_RPC_URL
	} else {
		rpc_url = "127.0.0.1:" + conf.SMS_RPC_PORT
	}

	conn, _, err := DialSmsService("tcp", rpc_url)
	if err != nil {
		return nil, err
	}

	return conn, nil

}
